r1476 - branches/udev_update/packages/lfs-bootscripts

alexander at linuxfromscratch.org alexander at linuxfromscratch.org
Fri Apr 7 00:49:37 PDT 2006


Author: alexander
Date: 2006-04-07 01:49:36 -0600 (Fri, 07 Apr 2006)
New Revision: 1476

Added:
   branches/udev_update/packages/lfs-bootscripts/customize
Log:
Forgot to "svn add" the customization script


Added: branches/udev_update/packages/lfs-bootscripts/customize
===================================================================
--- branches/udev_update/packages/lfs-bootscripts/customize	                        (rev 0)
+++ branches/udev_update/packages/lfs-bootscripts/customize	2006-04-07 07:49:36 UTC (rev 1476)
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# this script runs before "console",
+# thus translated error messages are not allowed
+
+LC_ALL=C
+export LC_ALL
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+	start)
+		boot_mesg "Applying CD customizations..."
+		cd /
+		cat /dev/shm/.cdrom/.remove 2>/dev/null | xargs rm -rvf
+		cd /dev/shm/.cdrom
+		find . ! -path ./root.ext2 ! -path ./boot\* ! -path ./.remove | \
+			cpio -pvd / 2>&1 | sed 's,^//\.,,'
+		echo_ok
+		;;
+	*)
+		echo "Usage: ${0} {start}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/console




More information about the livecd mailing list